Subject: Re: bug#60568: [FR] 30.0.50; Help buffers and function bodies for generated functions

From: Ihor Radchenko <[email-masked]>
Date: Thu, 12 Jan 2023 10:40:21 +0000

Stefan Monnier <[email-masked]> writes:

>>> The patch below does that, along with saving some kittens.
>> Thanks!
>
> As always, my patch is 100% untested.
>
>>> +    (funcall (if (fboundp 'defvar-1) #'defvar-1 #'set) ;Emacs-29
>>> +             (intern (concat "org-babel-default-header-args:" name))
>>> +             '())))
>>
>> Why '()?
>
> No idea.  I just tried to preserve the part of the code I didn't feel
> like changing.

I went with "nil".

Applied, onto main. All the tests are passing.
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=ecb62e2e3

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>